#include <iostream>
#include<bits/stdc++.h>

using namespace std;

int main()
{
    vector< pair <double, double> > f;

    int n;
    double suma = 0.0, maxi = 0.0, t = 0.0;

    cin >> n;

    double p[n], z[n];

    for (int i = 0; i < n; ++i)
    {
        cin >> z[i] >> p[i];
        suma += z[i];
        f.push_back(make_pair(p[i], z[i]));
    }

    sort(f.begin(), f.end());

    for(int i = 0; i < n; ++i)
    {
        t = suma * f[i].first;
        t /= 100.00;

        if(t > maxi)
            maxi = t;

        suma -= f[i].second;

        while(f[i].first == f[i+1].first)
        {
            ++i;
            suma -= f[i].second;
        }
    }

    printf("%.4f\n", maxi);
    return 0;
}